#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int N,L;
    cin>>N>>L;
    int H [N];
    int j;
    bool k=true;
    for (int i=0;i<N;i++)
    {
     cin>>H[i];
     if(H[i]<=L && k)
     {
         j=i+1;
         k=false;
     }
    }
    if(k)
    cout << -1 << endl;
    else
    cout<<j<< endl;
    return 0;
}